> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Node Connection

> Registers a new Node URL for the authenticated company's network.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public post /connections/nodes
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /connections/nodes:
    post:
      tags:
        - Node Connections
      summary: Create a Node Connection
      description: Registers a new Node URL for the authenticated company's network.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/nodeconn.PartialNodeConn'
        description: Node URL and optional metadata
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.DetailResponse'
          description: node connection created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: invalid input (bad JSON or URL)
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: server error while creating node
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
        - LoginAuth: []
components:
  schemas:
    nodeconn.PartialNodeConn:
      properties:
        name:
          description: Node Connection Name
          type: string
        url:
          description: Node URL 'wss://node.domain.com/node'
          type: string
        writeable:
          description: writebale = true for posting, writeable = false for querying
          type: boolean
      type: object
    utils.DetailResponse:
      properties:
        detail:
          type: string
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey
    LoginAuth:
      scheme: basic
      type: http

````